diff --git a/src/backend/utils/adt/json.c b/src/backend/utils/adt/json.c
index d8ebf4e..f1c7195 100644
--- a/src/backend/utils/adt/json.c
+++ b/src/backend/utils/adt/json.c
@@ -1381,6 +1381,8 @@ array_to_json_internal(Datum array, StringInfo result, bool use_line_feeds)
 		tcategory = TYPCATEGORY_COMPOSITE;
 	else if (element_type == JSONOID)
 		tcategory = TYPCATEGORY_JSON;
+	else if (element_type == CASHOID)
+		tcategory = TYPCATEGORY_STRING;
 	else
 		tcategory = TypeCategory(element_type);
 
@@ -1476,6 +1478,8 @@ composite_to_json(Datum composite, StringInfo result, bool use_line_feeds)
 			tcategory = TYPCATEGORY_COMPOSITE;
 		else if (tupdesc->attrs[i]->atttypid == JSONOID)
 			tcategory = TYPCATEGORY_JSON;
+		else if (tupdesc->attrs[i]->atttypid == CASHOID)
+			tcategory = TYPCATEGORY_STRING;
 		else
 			tcategory = TypeCategory(tupdesc->attrs[i]->atttypid);
 
@@ -1602,6 +1606,8 @@ to_json(PG_FUNCTION_ARGS)
 		tcategory = TYPCATEGORY_COMPOSITE;
 	else if (val_type == JSONOID)
 		tcategory = TYPCATEGORY_JSON;
+	else if (val_type == CASHOID)
+		tcategory = TYPCATEGORY_STRING;
 	else
 		tcategory = TypeCategory(val_type);
 
